%{?scl:%scl_package python-%{modname}}
%{!?scl:%global pkg_name %{name}}

%if 0%{?fedora}
%global with_python3 1
%endif

%global modname pyramid

Name:           %{?scl_prefix}python-%{modname}
Version:        1.5.1
Release:        2%{?dist}
Summary:        The Pyramid web application framework, a Pylons project

Group:          Development/Libraries
License:        BSD
URL:            http://pylonsproject.com
Source0:        http://pypi.python.org/packages/source/p/pyramid/%{modname}-%{version}.tar.gz
# https://github.com/Pylons/pyramid/issues/1405
Patch0:         %{pkg_name}-xml-mimetype.patch
BuildArch:      noarch

BuildRequires:  %{?scl_prefix_python}python-devel
BuildRequires:  %{?scl_prefix_python}python-setuptools
BuildRequires:  %{?scl_prefix_python}python-docutils
BuildRequires:  %{?scl_prefix_python}python-sphinx
BuildRequires:  %{?scl_prefix}python-webtest >= 1.3.1

BuildRequires:  %{?scl_prefix}python-paste-deploy >= 1.5.0
BuildRequires:  %{?scl_prefix}python-repoze-lru >= 0.4
BuildRequires:  %{?scl_prefix}python-translationstring >= 0.4
BuildRequires:  %{?scl_prefix}python-venusian >= 1.0
BuildRequires:  %{?scl_prefix}python-webob >= 1.3.1
BuildRequires:  %{?scl_prefix}python-zope-interface >= 3.8.0
BuildRequires:  %{?scl_prefix}python-zope-deprecation >= 3.5.0

Requires:       %{?scl_prefix_python}python-setuptools
Requires:       %{?scl_prefix}python-paste-deploy >= 1.5.0
Requires:       %{?scl_prefix}python-repoze-lru >= 0.4
Requires:       %{?scl_prefix}python-translationstring >= 0.4
Requires:       %{?scl_prefix}python-venusian >= 1.0
Requires:       %{?scl_prefix}python-webob >= 1.3.1
Requires:       %{?scl_prefix}python-zope-interface >= 3.8.0
Requires:       %{?scl_prefix}python-zope-deprecation >= 3.5.0

%description
Pyramid is a small, fast, down-to-earth, open source Python web development
framework. It makes real-world web application development and deployment more
fun, more predictable, and more productive.

%prep
%setup -q -n pyramid-%{version}
%patch0 -p1 -b .mimetype

# Force that a certain version of webob is imported and not the older one.
awk 'NR==1{print "import __main__; __main__.__requires__ = __requires__ = [\"WebOb>=1.3.1\", \"PasteDeploy>=1.5.0\", \"WebTest>=1.3.1\", \"zope.interface>=4.0.2\"]; import pkg_resources"}1' setup.py > setup.py.tmp
mv setup.py.tmp setup.py

# Remove bundled egg info
rm -rf %{modname}.egg-info

%build
%{?scl:scl enable %{scl} - << \EOF}
%{__python} setup.py build
%{?scl:EOF}

%install
%{?scl:scl enable %{scl} - << \EOF}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
%{?scl:EOF}
cp -r pyramid/scaffolds/alchemy %{buildroot}/%{python_sitelib}/pyramid/scaffolds/.
cp -r pyramid/scaffolds/starter %{buildroot}/%{python_sitelib}/pyramid/scaffolds/.
cp -r pyramid/scaffolds/zodb %{buildroot}/%{python_sitelib}/pyramid/scaffolds/.

%check
%{?scl:scl enable %{scl} - << \EOF}
%{__python} setup.py test
%{?scl:EOF}

%files
%doc README.rst LICENSE.txt
%{python_sitelib}/%{modname}/
%{python_sitelib}/%{modname}-%{version}*.egg-info
%{_bindir}/pcreate
%{_bindir}/pserve
%{_bindir}/prequest
%{_bindir}/proutes
%{_bindir}/pshell
%{_bindir}/ptweens
%{_bindir}/pviews
%{_bindir}/pdistreport

%changelog
* Thu Oct 30 2014 Slavek Kabrda <bkabrda@redhat.com> - 1.5.1-2
- Rebuilt for SCL

* Wed Aug 27 2014 Luke Macken <lmacken@redhat.com> - 1.5.1-1
- Update to 1.5.1

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu May 29 2014 Bohuslav Kabrda <bkabrda@redhat.com> - 1.4-12
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Fri Dec 06 2013 Pierre-Yves Chibon <pingou@pingoured>fr - 1.4-11
- Change BR from python-setuptools-devel to python-setuptools
  See https://fedoraproject.org/wiki/Changes/Remove_Python-setuptools-devel

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Apr 16 2013 Ralph Bean <rbean@redhat.com> - 1.4-9
- Make python-webob dependency contingent on f19.

* Tue Apr 16 2013 Ralph Bean <rbean@redhat.com> - 1.4-8
- Explicitly copy scaffolds into buildroot.
- More explicit file ownership.

* Fri Apr  5 2013 Luke Macken <lmacken@redhat.com> - 1.4-7
- Require python-webob >= 1.2 instead of the python-webob1.2 package

* Wed Feb 27 2013 Ralph Bean <rbean@redhat.com> - 1.4-6
- Reenabled the python3 subpackage.
- Correctly prefixed python3 executables.
- Remove egg-info in prep, not after build.

* Fri Feb 22 2013 Ralph Bean <rbean@redhat.com> - 1.4-5
- Manually disabled python3 subpackage; waiting on deps.
- Loosened constraint on python-webob version.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jan 16 2013 Ralph Bean <rbean@redhat.com> - 1.4-3
- Packaged python3 subpackage.
- Removed unnecessary Buildroot tag.
- Removed requirement on python-virtualenv.
- Removed requirement on python-paste.

* Mon Dec 31 2012 Ralph Bean <rbean@redhat.com> - 1.4-2
- Add zope.interface to the setuptools hack for el6.
- Add dep on python-unittest2 for el6.
- Add dep on python-ordereddict for el6.
- Remove bundled egg-info
- More specific directory listing in python_sitelib.
- Disable tests for el6.  Unexplained failure.

* Wed Dec 19 2012 Ralph Bean <rbean@redhat.com> - 1.4-1
- Latest upstream.

* Mon Dec 10 2012 Ralph Bean <rbean@redhat.com> - 1.4b3-1
- Latest upstream.  1.4b2-1 was a brownbag release.

* Mon Dec 10 2012 Ralph Bean <rbean@redhat.com> - 1.4b2-1
- Latest upstream.

* Wed Nov 28 2012 Ralph Bean <rbean@redhat.com> - 1.4b1-1
- Latest upstream.
- Removed unnecessary defattr and clean section.
- Re-enabled test suite/check section.
- Removed old patch.
- Depend on and force python-webob1.2
- A bunch of new _bindir tools.

* Wed Oct 10 2012 Tomas Dabasinskas <tomas@redhat.com> - 1.2.7-6
- Changed python-mako requires. 
  For rhel python-mako0.4, else python-mako >= 0.3.6

* Thu Sep 26 2012 Tomas Dabasinskas <tomas@redhat.com> - 1.2.7-5
- Added patch to change install requires from python-paste-script >= 1.7.4
  to python-paste-script >= 1.7.3, python-paste-script is provided by Red Hat
  patch applied if running on rhel
- Added version numbers for required packages
  
* Thu Sep 26 2012 Tomas Dabasinskas <tomas@redhat.com> - 1.2.7-4
- For requires, changed python-webob package to python-webob1.2

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jun 26 2012 Ross Delinger <rossdylan@csh.rit.edu> - 1.2-1
- Updated to upstream version 1.2.7
- Disabled unit tests because of false negatives, will be renabled for the 1.3.x
  release

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Aug 18 2011 Luke Macken <lmacken@redhat.com> - 1.1.2-1
- Latest upstream release
- Update our requirements

* Wed Jan  2 2010 Luke Macken <lmacken@redhat.com> - 1.0-1
- Initial package
